org.apache.ignite.internal.visor.cache

## Class VisorFindAndDeleteGarbageInPersistenceTaskResult

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.visor.cache.VisorFindAndDeleteGarbageInPersistenceTaskResult

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorFindAndDeleteGarbageInPersistenceTaskResult
    extends IgniteDataTransferObject

Result of running `VisorFindAndDeleteGarbageInPersistenceTask` which would contain result from all participating nodes.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7`

### Constructor Summary

Constructors
Constructor and Description
`VisorFindAndDeleteGarbageInPersistenceTaskResult()`
`VisorFindAndDeleteGarbageInPersistenceTaskResult(Map<UUID,VisorFindAndDeleteGarbageInPersistenceJobResult> jobResults, Map<UUID,Exception> exceptions)` For externalization only.

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<UUID,Exception>` `exceptions()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`Map<UUID,VisorFindAndDeleteGarbageInPersistenceJobResult>` `result()`
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorFindAndDeleteGarbageInPersistenceTaskResult

    public VisorFindAndDeleteGarbageInPersistenceTaskResult()

#### VisorFindAndDeleteGarbageInPersistenceTaskResult

    public VisorFindAndDeleteGarbageInPersistenceTaskResult(Map<UUID,VisorFindAndDeleteGarbageInPersistenceJobResult> jobResults,
                                                            Map<UUID,Exception> exceptions)

For externalization only.

Parameters:
  `jobResults` - Per node job result.
  `exceptions` - Per node execution problems.

### Method Detail

#### result

    public Map<UUID,VisorFindAndDeleteGarbageInPersistenceJobResult> result()

Returns:
  Results of indexes validation from node.

#### exceptions

    public Map<UUID,Exception> exceptions()

Returns:
  Exception of execution on nodes.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020